Requirements for Cleio Maps

In order to use Cleio Maps, some requirements have to be met.

1. Self-hosted WordPress website

With WordPress minimum requirements met.
Unfortunately, Cleio Maps doesn’t work on WordPress.com hosted websites.

2. PHP version greater than 5.3

If you are not sure, check your hosting specifications or contact your hosting team (you could also ask them for an upgrade if necessary).

3. Google API Key

This requires to have your own Google Account, but you probably already have one if you’re using Gmail, Youtube or other Google services.

Read our Installation & Google API Key Documentation if you don’t know how to get one

Be aware of limitations: GoogleMaps has a limit of usage: 25’000 map loadings per day. If your traffic is huge, you may have to purchase one of their plans. More on Google Usage Limits. If you’re worried about this, you can still use our OpenStreetMap option, it has no limitations.

4. cURL PHP extension activated

The cURL PHP extension must be activated on your hosting service.
It usually is by default, but if not, your host should be able to activate it.

Was this article helpful?

Related Articles

Leave A Comment?